/*
 Navicat Premium Data Transfer

 Source Server         : zz
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 192.168.50.233:3306
 Source Schema         : xxl_job

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 19/02/2025 10:45:41
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for xxl_job_group
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_group`;
CREATE TABLE `xxl_job_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_name` varchar(64) NOT NULL COMMENT '执行器AppName',
  `title` varchar(12) NOT NULL COMMENT '执行器名称',
  `address_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '执行器地址类型：0=自动注册、1=手动录入',
  `address_list` text COMMENT '执行器地址列表，多地址逗号分隔',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_group
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (7, 'xxl-job-executor-dev', '开发环境执行器', 0, 'http://192.168.50.235:9999/', '2025-02-19 10:45:32');
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (8, 'xxl-job-executor', '生产环境执行器', 0, 'http://192.168.50.235:9998/', '2025-02-19 10:45:32');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_info
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_info`;
CREATE TABLE `xxl_job_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_desc` varchar(255) NOT NULL,
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL COMMENT '作者',
  `alarm_email` varchar(255) DEFAULT NULL COMMENT '报警邮件',
  `schedule_type` varchar(50) NOT NULL DEFAULT 'NONE' COMMENT '调度类型',
  `schedule_conf` varchar(128) DEFAULT NULL COMMENT '调度配置，值含义取决于调度类型',
  `misfire_strategy` varchar(50) NOT NULL DEFAULT 'DO_NOTHING' COMMENT '调度过期策略',
  `executor_route_strategy` varchar(50) DEFAULT NULL COMMENT '执行器路由策略',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_block_strategy` varchar(50) DEFAULT NULL COMMENT '阻塞处理策略',
  `executor_timeout` int(11) NOT NULL DEFAULT '0' COMMENT '任务执行超时时间，单位秒',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `glue_type` varchar(50) NOT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) DEFAULT NULL COMMENT 'GLUE备注',
  `glue_updatetime` datetime DEFAULT NULL COMMENT 'GLUE更新时间',
  `child_jobid` varchar(255) DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
  `trigger_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '调度状态：0-停止，1-运行',
  `trigger_last_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '上次调度时间',
  `trigger_next_time` bigint(13) NOT NULL DEFAULT '0' COMMENT '下次调度时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_info
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_info` (`id`, `job_group`, `job_desc`, `add_time`, `update_time`, `author`, `alarm_email`, `schedule_type`, `schedule_conf`, `misfire_strategy`, `executor_route_strategy`, `executor_handler`, `executor_param`, `executor_block_strategy`, `executor_timeout`, `executor_fail_retry_count`, `glue_type`, `glue_source`, `glue_remark`, `glue_updatetime`, `child_jobid`, `trigger_status`, `trigger_last_time`, `trigger_next_time`) VALUES (10, 7, '自动分析', '2024-07-25 10:48:30', '2025-02-19 10:06:29', '陈宏琰', '', 'CRON', '0 */1 * * * ?', 'DO_NOTHING', 'FIRST', 'analysisTaskExecute', '', 'SERIAL_EXECUTION', 0, 0, 'BEAN', '', 'GLUE代码初始化', '2024-07-25 10:48:30', '', 0, 0, 0);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_lock
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_lock`;
CREATE TABLE `xxl_job_lock` (
  `lock_name` varchar(50) NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`lock_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_lock
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_lock` (`lock_name`) VALUES ('schedule_lock');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_log
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log`;
CREATE TABLE `xxl_job_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `executor_address` varchar(255) DEFAULT NULL COMMENT '执行器地址，本次执行的地址',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_sharding_param` varchar(20) DEFAULT NULL COMMENT '执行器任务分片参数，格式如 1/2',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `trigger_time` datetime DEFAULT NULL COMMENT '调度-时间',
  `trigger_code` int(11) NOT NULL COMMENT '调度-结果',
  `trigger_msg` text COMMENT '调度-日志',
  `handle_time` datetime DEFAULT NULL COMMENT '执行-时间',
  `handle_code` int(11) NOT NULL COMMENT '执行-状态',
  `handle_msg` text COMMENT '执行-日志',
  `alarm_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '告警状态：0-默认、1-无需告警、2-告警成功、3-告警失败',
  PRIMARY KEY (`id`),
  KEY `I_trigger_time` (`trigger_time`),
  KEY `I_handle_code` (`handle_code`)
) ENGINE=InnoDB AUTO_INCREMENT=544915 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_log
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (537999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538064, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538066, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538113, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538156, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538222, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538399, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538565, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538832, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538936, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (538998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539044, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539109, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539150, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539231, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539331, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539401, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539422, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539524, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539534, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539586, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539676, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539690, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539696, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539728, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539730, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539733, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539791, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539812, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539819, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539850, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539873, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539903, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539905, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539912, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539992, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (539999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540086, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540088, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540106, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:05:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:07:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:08:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:08:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:09:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:09:04', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:10:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:12:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:13:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540255, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540262, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540264, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540270, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540288, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540300, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540337, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540362, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540373, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540435, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540551, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540650, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540720, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540726, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540788, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540798, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540809, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540828, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-19 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-19 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540853, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540882, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540886, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540910, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540953, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540954, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540972, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540976, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540990, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (540999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541000, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541014, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541034, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541099, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541101, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541104, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541122, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541134, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541162, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541172, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541213, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541232, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541234, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541242, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541246, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541250, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541268, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541274, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541279, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541283, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541314, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541322, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541390, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541414, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541430, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541466, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541489, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541532, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541590, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541598, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541608, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541612, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541624, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541643, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541647, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541665, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541699, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541771, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541793, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541795, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541805, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541820, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541858, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541875, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541881, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541907, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541916, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541933, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541934, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541938, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541940, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541946, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541958, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541974, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541979, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (541998, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542005, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542007, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542019, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542023, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542028, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542032, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542043, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 09:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 09:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542049, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542053, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542059, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542061, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542063, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542070, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542072, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542074, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542076, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542080, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542097, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542102, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542110, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542117, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542119, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542125, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542136, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542139, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542142, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 10:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 10:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542167, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542179, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542189, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542203, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542210, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542215, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542217, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542225, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542227, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542228, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542240, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542253, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542272, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542276, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542281, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 11:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 11:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542285, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542286, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542297, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542302, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542319, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542334, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542340, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542342, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542345, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542356, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542364, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542371, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542374, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542376, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542382, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542386, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542389, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 12:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 12:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542428, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542437, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542438, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542440, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542444, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542446, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542450, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542457, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542458, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542479, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542493, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542495, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542496, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542498, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542500, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542504, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542510, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542514, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542518, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542522, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 13:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 13:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542528, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542537, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542542, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542546, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542553, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542562, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542571, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542576, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542585, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542589, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542595, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542596, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542601, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542610, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542620, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542622, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542630, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542638, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542640, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 14:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 14:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542644, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542658, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542667, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542672, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542675, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542684, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542695, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542702, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542704, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542718, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542724, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542735, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542738, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542749, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542762, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 15:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 15:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542775, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542801, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542803, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542843, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542845, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542856, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542865, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542870, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 16:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 16:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542884, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542889, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542895, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542908, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542915, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542921, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542922, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542924, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542927, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542928, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542930, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542943, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542944, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542948, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:32:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:32:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:33:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:33:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:34:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:35:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:36:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:36:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:37:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542961, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:38:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542963, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542964, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542967, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542969, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542971, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:46:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542983, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542984, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542987, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542989, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542994, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542996, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (542999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543002, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 17:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 17:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543008, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543011, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543012, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543021, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543025, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543026, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543030, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543036, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543039, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543041, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543047, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543050, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543054, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543056, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543069, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543079, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543082, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543084, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543090, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543092, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543095, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543115, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543121, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 18:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 18:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543127, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543129, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543131, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543133, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543140, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543145, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543147, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543149, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543152, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543154, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543158, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543160, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543165, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543169, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543170, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543175, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543176, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543181, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543182, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543185, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543187, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543190, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543192, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543194, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543197, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543198, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543201, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543205, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543206, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543208, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543219, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543220, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543236, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543238, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 19:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 19:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543244, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543249, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543258, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543261, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543266, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543291, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543293, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543294, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543298, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543305, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543306, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543309, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543310, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543313, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543317, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543321, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543325, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543326, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543329, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543333, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543339, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543347, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543349, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543350, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543353, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543354, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543358, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543361, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 20:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 20:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543367, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543368, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543379, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543380, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543384, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543393, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543395, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543396, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543403, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543404, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543406, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543408, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543411, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543412, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543417, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543418, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543421, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543424, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543427, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543432, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543442, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543448, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543452, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543454, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543460, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543462, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543465, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543468, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543471, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543473, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543474, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543476, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543480, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543483, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 21:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 21:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543485, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543487, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543491, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543502, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543506, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543509, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543512, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543517, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:17:06', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:17:06', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543521, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:19:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:19:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:20:02', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:20:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543526, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:21:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:23:02', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:24:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543538, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543540, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:28:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:28:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543544, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543549, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543554, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543557, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543559, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543561, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543567, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543568, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543574, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543579, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543581, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543583, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543592, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543603, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 22:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 22:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543604, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543607, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543615, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543616, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543619, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543627, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543629, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543633, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543635, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543637, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543649, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543653, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543654, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543657, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543661, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543663, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543668, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543671, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543678, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543680, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543682, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543687, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543689, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543692, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:44:01', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:44:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543700, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:50:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543706, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:51:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543708, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543711, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543712, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543715, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543717, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543723, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-20 23:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-20 23:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543742, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543744, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543747, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543750, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543753, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543754, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543756, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543759, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543760, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543764, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543766, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543769, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543772, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543777, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543779, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543780, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543783, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543785, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543786, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543797, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:37:01', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543806, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543811, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543814, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543817, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543823, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543825, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543827, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543830, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543834, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543837, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543839, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543841, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 00:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 00:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543846, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543849, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543855, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543860, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543862, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543866, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543869, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543877, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543878, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543891, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543893, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543896, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543898, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543900, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543914, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543917, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543919, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543920, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543923, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543925, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543926, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543929, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543931, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543932, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543935, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543937, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543939, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543941, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543942, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543945, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543947, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543949, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543951, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543952, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543955, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543957, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543959, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543960, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543962, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 01:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 01:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543965, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543966, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543968, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543970, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543973, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543975, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543977, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543978, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543981, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543982, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543985, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543986, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543988, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543991, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543993, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543995, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543997, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (543999, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544001, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544003, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544004, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544006, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544009, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544010, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544013, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544015, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544017, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544018, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544020, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544022, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544024, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544027, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544029, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544031, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544033, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544035, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544037, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544038, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544040, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544042, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544045, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544046, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544048, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544051, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544052, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544055, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544057, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544058, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544060, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544062, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544065, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544067, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544068, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544071, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544073, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544075, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544077, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544078, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544081, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544083, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 02:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 02:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544085, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544087, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544089, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544091, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544093, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544094, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544096, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544098, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544100, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544103, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544105, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544107, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544108, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544111, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544112, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544114, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544116, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544118, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544120, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544123, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544124, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544126, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544128, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544130, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544132, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544135, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544137, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544138, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544141, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544143, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544144, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544146, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544148, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544151, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544153, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544155, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544157, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544159, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544161, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544163, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544164, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544166, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544168, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544171, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544173, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544174, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544177, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544178, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544180, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544183, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544184, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544186, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544188, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544191, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544193, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544195, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544196, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544199, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544200, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544202, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 03:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 03:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544204, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544207, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544209, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544211, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544212, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544214, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544216, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544218, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544221, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544223, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544224, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544226, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544229, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544230, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544233, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544235, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544237, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544239, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544241, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544243, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544245, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544247, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544248, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544251, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544252, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544254, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544257, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544259, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544260, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544263, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544265, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544267, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544269, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544271, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544273, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544275, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544277, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544278, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544280, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544282, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544284, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544287, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544289, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544290, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544292, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544295, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544296, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544299, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544301, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544303, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544304, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544307, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544308, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544311, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544312, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544315, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544316, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544318, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544320, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544323, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 04:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 04:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544324, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544327, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544328, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544330, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544332, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544335, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544336, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544338, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544341, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544343, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544344, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544346, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544348, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544351, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544352, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544355, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544357, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544359, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544360, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544363, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544365, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544366, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544369, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544370, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544372, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544375, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544377, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544378, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544381, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544383, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544385, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544387, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544388, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544391, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544392, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544394, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544397, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544398, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544400, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544402, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544405, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544407, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544409, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544410, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544413, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544415, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544416, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544419, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544420, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544423, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544425, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544426, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544429, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544431, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544433, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544434, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544436, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544439, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544441, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544443, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 05:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 05:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544445, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544447, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544449, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544451, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544453, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544455, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544456, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544459, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544461, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544463, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544464, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544467, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544469, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544470, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544472, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544475, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544477, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544478, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544481, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544482, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544484, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544486, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544488, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544490, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544492, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544494, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544497, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544499, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544501, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544503, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544505, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544507, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544508, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544511, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544513, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544515, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544516, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544519, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544520, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544523, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544525, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544527, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544529, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544531, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544533, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544535, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544536, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544539, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544541, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544543, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544545, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544547, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544548, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544550, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544552, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544555, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544556, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544558, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544560, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544563, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 06:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 06:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544564, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544566, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544569, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544570, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544573, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544575, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544577, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544578, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544580, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544582, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544584, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544587, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544588, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544591, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544593, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544594, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544597, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544599, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544600, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544602, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544605, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544606, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544609, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544611, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544613, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544614, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544617, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544618, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544621, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544623, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544625, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544626, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544628, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544631, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544632, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544634, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544636, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544639, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544641, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544642, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544645, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544646, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544648, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544651, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544652, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544655, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544656, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544659, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544660, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544662, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544664, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544666, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544669, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544670, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544673, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544674, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544677, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544679, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544681, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544683, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 07:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 07:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544685, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544686, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544688, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544691, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544693, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544694, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544697, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544698, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544701, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544703, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544705, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544707, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544709, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544710, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544713, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544714, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544716, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544719, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544721, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544722, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544725, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544727, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544729, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544731, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544732, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544734, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544737, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544739, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544741, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544743, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544745, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544746, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544748, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544751, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544752, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544755, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544757, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544758, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544761, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544763, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544765, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544767, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544768, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544770, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544773, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544774, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544776, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544778, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544781, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544782, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544784, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544787, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544789, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544790, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544792, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544794, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:55:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:55:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544796, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:56:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:56:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544799, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:57:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:57:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544800, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:58:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:58:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544802, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 08:59:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 08:59:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544804, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:00:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:00:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544807, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:01:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:01:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544808, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:02:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:02:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544810, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:03:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:03:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544813, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:04:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:04:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544815, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:05:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:05:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544816, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:06:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:06:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544818, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:07:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:07:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544821, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:08:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:08:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544822, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:09:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:09:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544824, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:10:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:10:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544826, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:11:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:11:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544829, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:12:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:12:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544831, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:13:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:13:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544833, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:14:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:14:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544835, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:15:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:15:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544836, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:16:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:16:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544838, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:17:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:17:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544840, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:18:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:18:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544842, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:19:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:19:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544844, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:20:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:20:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544847, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:21:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:21:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544848, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:22:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:22:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544851, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:23:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:23:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544852, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:24:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:24:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544854, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:25:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:25:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544857, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:26:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:26:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544859, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:27:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:27:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544861, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:28:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:28:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544863, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:29:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:29:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544864, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:30:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:30:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544867, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:31:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:31:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544868, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:32:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:32:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544871, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:33:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:33:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544872, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:34:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:34:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544874, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:35:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:35:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544876, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:36:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:36:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544879, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:37:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:37:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544880, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:38:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:38:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544883, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:39:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:39:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544885, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:40:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:40:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544887, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:41:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:41:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544888, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:42:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:42:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544890, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:43:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:43:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544892, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:44:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:44:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544894, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:45:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:45:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544897, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:46:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:46:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544899, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:47:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:47:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544901, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:48:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:48:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544902, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:49:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:49:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544904, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:50:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:50:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544906, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:51:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:51:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544909, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:52:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:52:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544911, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:53:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:53:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544913, 8, 10, 'http://192.168.50.235:9998/', 'autoAnalysis', '', NULL, 0, '2025-01-21 09:54:00', 200, '任务触发类型：Cron触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9998/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9998/<br>code：200<br>msg：null', '2025-01-21 09:54:00', 200, '', 0);
INSERT INTO `xxl_job_log` (`id`, `job_group`, `job_id`, `executor_address`, `executor_handler`, `executor_param`, `executor_sharding_param`, `executor_fail_retry_count`, `trigger_time`, `trigger_code`, `trigger_msg`, `handle_time`, `handle_code`, `handle_msg`, `alarm_status`) VALUES (544914, 7, 10, 'http://192.168.50.235:9999/', 'analysisTaskExecute', '', NULL, 0, '2025-02-19 10:06:52', 200, '任务触发类型：手动触发<br>调度机器：192.168.50.234<br>执行器-注册方式：自动注册<br>执行器-地址列表：[http://192.168.50.235:9999/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.50.235:9999/<br>code：200<br>msg：null', '2025-02-19 10:06:53', 200, '', 0);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_log_report
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log_report`;
CREATE TABLE `xxl_job_log_report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `trigger_day` datetime DEFAULT NULL COMMENT '调度-时间',
  `running_count` int(11) NOT NULL DEFAULT '0' COMMENT '运行中-日志数量',
  `suc_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行成功-日志数量',
  `fail_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行失败-日志数量',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_trigger_day` (`trigger_day`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=408 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_log_report
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (1, '2024-05-07 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (2, '2024-05-06 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (3, '2024-05-05 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (4, '2024-05-08 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (5, '2024-05-09 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (6, '2024-05-10 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (7, '2024-05-11 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (8, '2024-05-12 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (9, '2024-05-13 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (10, '2024-05-14 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (11, '2024-05-15 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (12, '2024-05-16 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (13, '2024-05-17 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (14, '2024-05-18 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (15, '2024-05-19 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (16, '2024-05-20 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (17, '2024-05-21 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (18, '2024-05-22 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (19, '2024-05-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (20, '2024-05-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (21, '2024-05-25 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (22, '2024-05-26 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (23, '2024-05-27 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (24, '2024-05-28 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (25, '2024-05-29 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (26, '2024-05-30 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (27, '2024-05-31 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (28, '2024-06-01 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (29, '2024-06-02 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (30, '2024-06-03 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (31, '2024-06-04 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (32, '2024-06-05 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (33, '2024-06-06 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (34, '2024-06-07 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (35, '2024-06-08 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (36, '2024-06-09 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (37, '2024-06-10 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (38, '2024-06-11 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (39, '2024-06-12 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (40, '2024-06-13 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (41, '2024-06-14 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (42, '2024-06-15 00:00:00', 0, 0, 105, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (43, '2024-06-16 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (44, '2024-06-17 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (45, '2024-06-18 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (46, '2024-06-19 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (47, '2024-06-20 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (48, '2024-06-21 00:00:00', 0, 2, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (49, '2024-06-22 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (50, '2024-06-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (51, '2024-06-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (52, '2024-06-25 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (53, '2024-06-26 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (54, '2024-06-27 00:00:00', 0, 0, 1, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (55, '2024-06-28 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (56, '2024-06-29 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (57, '2024-06-30 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (58, '2024-07-01 00:00:00', 0, 1, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (59, '2024-07-02 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (60, '2024-07-03 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (61, '2024-07-04 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (62, '2024-07-05 00:00:00', 0, 398, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (63, '2024-07-06 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (64, '2024-07-07 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (65, '2024-07-08 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (66, '2024-07-09 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (67, '2024-07-10 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (68, '2024-07-11 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (69, '2024-07-12 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (70, '2024-07-13 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (71, '2024-07-14 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (73, '2024-07-15 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (75, '2024-07-16 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (77, '2024-07-17 00:00:00', 0, 1313, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (78, '2024-07-18 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (79, '2024-07-19 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (80, '2024-07-20 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (81, '2024-07-21 00:00:00', 0, 1440, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (82, '2024-07-22 00:00:00', 0, 1369, 71, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (83, '2024-07-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (84, '2024-07-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (85, '2024-07-25 00:00:00', 0, 1612, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (86, '2024-07-26 00:00:00', 0, 2699, 169, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (87, '2024-07-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (88, '2024-07-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (89, '2024-07-29 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (90, '2024-07-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (91, '2024-07-31 00:00:00', 0, 2834, 46, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (93, '2024-08-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (94, '2024-08-02 00:00:00', 0, 2872, 8, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (95, '2024-08-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (97, '2024-08-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (99, '2024-08-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (101, '2024-08-06 00:00:00', 0, 2777, 103, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (103, '2024-08-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (105, '2024-08-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (106, '2024-08-09 00:00:00', 0, 2879, 1, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (107, '2024-08-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (110, '2024-08-11 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (111, '2024-08-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (112, '2024-08-13 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (114, '2024-08-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (116, '2024-08-15 00:00:00', 0, 2736, 144, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (117, '2024-08-16 00:00:00', 0, 2624, 256, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (119, '2024-08-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (121, '2024-08-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (122, '2024-08-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (124, '2024-08-20 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (126, '2024-08-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (129, '2024-08-22 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (130, '2024-08-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (131, '2024-08-24 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (133, '2024-08-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (136, '2024-08-26 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (137, '2024-08-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (138, '2024-08-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (139, '2024-08-29 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (141, '2024-08-30 00:00:00', 0, 2464, 416, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (142, '2024-08-31 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (144, '2024-09-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (145, '2024-09-02 00:00:00', 0, 2792, 88, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (147, '2024-09-03 00:00:00', 0, 2722, 158, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (149, '2024-09-04 00:00:00', 0, 2719, 161, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (150, '2024-09-05 00:00:00', 0, 2621, 259, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (152, '2024-09-06 00:00:00', 0, 2773, 107, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (154, '2024-09-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (156, '2024-09-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (158, '2024-09-09 00:00:00', 0, 2800, 80, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (159, '2024-09-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (160, '2024-09-11 00:00:00', 0, 2878, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (162, '2024-09-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (164, '2024-09-13 00:00:00', 0, 2739, 141, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (166, '2024-09-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (168, '2024-09-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (169, '2024-09-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (171, '2024-09-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (173, '2024-09-18 00:00:00', 0, 2441, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (174, '2024-09-19 00:00:00', 0, 1660, 60, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (175, '2024-09-20 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (176, '2024-09-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (178, '2024-09-22 00:00:00', 0, 2856, 16, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (179, '2024-09-23 00:00:00', 0, 2874, 6, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (180, '2024-09-24 00:00:00', 0, 2866, 14, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (181, '2024-09-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (183, '2024-09-26 00:00:00', 0, 2865, 15, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (186, '2024-09-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (187, '2024-09-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (189, '2024-09-29 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (191, '2024-09-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (192, '2024-10-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (194, '2024-10-02 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (195, '2024-10-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (197, '2024-10-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (199, '2024-10-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (200, '2024-10-06 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (202, '2024-10-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (205, '2024-10-08 00:00:00', 0, 2864, 16, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (206, '2024-10-09 00:00:00', 0, 2629, 251, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (208, '2024-10-10 00:00:00', 0, 2433, 447, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (210, '2024-10-11 00:00:00', 0, 2876, 4, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (212, '2024-10-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (213, '2024-10-13 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (215, '2024-10-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (217, '2024-10-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (219, '2024-10-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (221, '2024-10-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (223, '2024-10-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (225, '2024-10-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (227, '2024-10-20 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (229, '2024-10-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (230, '2024-10-22 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (232, '2024-10-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (234, '2024-10-24 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (236, '2024-10-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (238, '2024-10-26 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (240, '2024-10-27 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (242, '2024-10-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (244, '2024-10-29 00:00:00', 0, 2876, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (247, '2024-10-30 00:00:00', 0, 2590, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (249, '2024-10-31 00:00:00', 0, 1634, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (251, '2024-11-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (252, '2024-11-02 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (255, '2024-11-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (257, '2024-11-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (259, '2024-11-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (260, '2024-11-06 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (261, '2024-11-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (264, '2024-11-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (265, '2024-11-09 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (267, '2024-11-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (269, '2024-11-11 00:00:00', 0, 2861, 19, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (270, '2024-11-12 00:00:00', 0, 2105, 775, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (271, '2024-11-13 00:00:00', 0, 2468, 412, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (273, '2024-11-14 00:00:00', 0, 2582, 298, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (275, '2024-11-15 00:00:00', 0, 2856, 24, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (276, '2024-11-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (277, '2024-11-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (278, '2024-11-18 00:00:00', 0, 2814, 66, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (279, '2024-11-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (281, '2024-11-20 00:00:00', 0, 2878, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (282, '2024-11-21 00:00:00', 0, 2811, 69, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (284, '2024-11-22 00:00:00', 0, 2851, 29, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (286, '2024-11-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (287, '2024-11-24 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (289, '2024-11-25 00:00:00', 0, 2521, 359, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (290, '2024-11-26 00:00:00', 0, 2333, 547, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (292, '2024-11-27 00:00:00', 0, 2150, 730, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (293, '2024-11-28 00:00:00', 0, 2324, 556, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (295, '2024-11-29 00:00:00', 0, 2498, 382, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (296, '2024-11-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (298, '2024-12-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (299, '2024-12-02 00:00:00', 0, 2869, 11, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (300, '2024-12-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (302, '2024-12-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (303, '2024-12-05 00:00:00', 0, 2874, 6, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (305, '2024-12-06 00:00:00', 0, 2821, 59, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (307, '2024-12-07 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (308, '2024-12-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (310, '2024-12-09 00:00:00', 0, 2875, 5, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (311, '2024-12-10 00:00:00', 0, 2812, 68, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (312, '2024-12-11 00:00:00', 0, 2824, 56, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (313, '2024-12-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (315, '2024-12-13 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (317, '2024-12-14 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (318, '2024-12-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (319, '2024-12-16 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (322, '2024-12-17 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (323, '2024-12-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (324, '2024-12-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (327, '2024-12-20 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (328, '2024-12-21 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (329, '2024-12-22 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (331, '2024-12-23 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (333, '2024-12-24 00:00:00', 0, 2867, 13, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (334, '2024-12-25 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (335, '2024-12-26 00:00:00', 0, 2836, 44, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (336, '2024-12-27 00:00:00', 0, 2698, 182, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (337, '2024-12-28 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (338, '2024-12-29 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (340, '2024-12-30 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (341, '2024-12-31 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (342, '2025-01-01 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (344, '2025-01-02 00:00:00', 0, 2878, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (345, '2025-01-03 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (347, '2025-01-04 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (348, '2025-01-05 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (349, '2025-01-06 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (352, '2025-01-07 00:00:00', 0, 2878, 2, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (353, '2025-01-08 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (354, '2025-01-09 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (355, '2025-01-10 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (358, '2025-01-11 00:00:00', 0, 2762, 118, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (359, '2025-01-12 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (361, '2025-01-13 00:00:00', 0, 2854, 26, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (363, '2025-01-14 00:00:00', 0, 2795, 85, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (365, '2025-01-15 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (366, '2025-01-16 00:00:00', 0, 2756, 124, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (368, '2025-01-17 00:00:00', 0, 2764, 116, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (370, '2025-01-18 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (371, '2025-01-19 00:00:00', 0, 2880, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (372, '2025-01-20 00:00:00', 0, 2728, 152, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (374, '2025-01-21 00:00:00', 0, 1190, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (375, '2025-01-22 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (376, '2025-01-23 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (377, '2025-01-24 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (378, '2025-01-25 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (380, '2025-01-26 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (381, '2025-01-27 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (382, '2025-01-28 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (383, '2025-01-29 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (384, '2025-01-30 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (385, '2025-01-31 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (386, '2025-02-01 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (387, '2025-02-02 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (388, '2025-02-03 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (389, '2025-02-04 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (390, '2025-02-05 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (392, '2025-02-06 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (393, '2025-02-07 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (394, '2025-02-08 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (395, '2025-02-09 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (396, '2025-02-10 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (397, '2025-02-11 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (398, '2025-02-12 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (399, '2025-02-13 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (400, '2025-02-14 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (401, '2025-02-15 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (402, '2025-02-16 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (404, '2025-02-17 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (406, '2025-02-18 00:00:00', 0, 0, 0, NULL);
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (407, '2025-02-19 00:00:00', 0, 1, 0, NULL);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_logglue
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_logglue`;
CREATE TABLE `xxl_job_logglue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `glue_type` varchar(50) DEFAULT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) NOT NULL COMMENT 'GLUE备注',
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_logglue
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_registry
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_registry`;
CREATE TABLE `xxl_job_registry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `registry_group` varchar(50) NOT NULL,
  `registry_key` varchar(255) NOT NULL,
  `registry_value` varchar(255) NOT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `i_g_k_v` (`registry_group`,`registry_key`,`registry_value`)
) ENGINE=InnoDB AUTO_INCREMENT=273 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_registry
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (9, 'EXECUTOR', 'xxl-job-executor', 'http://192.168.50.235:9998/', '2025-02-19 10:45:22');
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (227, 'EXECUTOR', 'xxl-job-executor-dev', 'http://192.168.50.235:9999/', '2025-02-19 10:45:29');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_user
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_user`;
CREATE TABLE `xxl_job_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL COMMENT '账号',
  `password` varchar(50) NOT NULL COMMENT '密码',
  `role` tinyint(4) NOT NULL COMMENT '角色：0-普通用户、1-管理员',
  `permission` varchar(255) DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
  PRIMARY KEY (`id`),
  UNIQUE KEY `i_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of xxl_job_user
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_user` (`id`, `username`, `password`, `role`, `permission`) VALUES (1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 1, NULL);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
